> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/notifications/resources.md).

# Resources

## List

> Retrieves all resource notifications configurations.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Notifications/Resources":{"get":{"tags":["2-Site settings/Notifications//Handlers"],"summary":"List","description":"Retrieves all resource notifications configurations.","operationId":"e9def447-8ffb-42ad-9d50-c6dcf25947d8","parameters":[{"name":"SiteId","in":"query","description":"Site ID for which to retrieve notifications (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationResource"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"NotificationResource":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"siteId":{"type":"integer","format":"int32"},"enabled":{"type":"boolean"},"hasThreshold":{"type":"boolean"},"type":{"$ref":"#/components/schemas/NotificationType"},"recipients":{"type":"string","nullable":true},"executeScript":{"type":"boolean"},"scriptId":{"type":"integer","format":"int32"},"sendEmail":{"type":"boolean"},"gracePeriod":{"type":"integer","format":"int32"},"enableGracePeriod":{"type":"boolean"},"interval":{"type":"integer","format":"int32"},"enableInterval":{"type":"boolean"},"waitUntilRecovered":{"type":"boolean"},"allServers":{"type":"boolean"},"targetType":{"$ref":"#/components/schemas/TargetType"},"targetIds":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"threshold":{"type":"integer","format":"int32"},"direction":{"$ref":"#/components/schemas/ThresholdDirection"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Notification Resource</para>\r\n<para type=\"description\"></para>"},"NotificationType":{"enum":[["0 = Unknown","4096 = CPU","8192 = Memory","12288 = RDSH","16384 = Agent","20480 = VDI","24576 = PubItem","28672 = License","32768 = Authentication","36864 = Gateway","40960 = Disk","45056 = Tenant","1097729 = FailedTunneledSess","1097730 = FailedTunneledSessTenantBroker","17829888 = CPUEvent","17833984 = MemoryEvent","17838081 = RDSHConnectedSessionEvent","17838082 = RDSHDisconnectedSessionEvent","17862657 = TunneledSess","34615299 = RDSHConnectedSessionEventPerc","34615300 = RDSHDisconnectedSessionEventPerc","34660353 = AVDActiveSessionsUtilization","34660354 = AVDDisconnectedSessionsUtilization"]],"type":"string","description":"<para type=\"synopsis\">Type of notification</para>\r\n<para type=\"description\"></para>","format":"int32"},"TargetType":{"enum":[["0 = AllServers","3 = SecureGateways","5 = RemotePCs","7 = Brokers","10 = VDIHostPools","16 = RDSHostPools","46 = EnrollmentServers","65 = AVDHostPools","-1 = ForceAllAgents"]],"type":"string","description":"<para type=\"synopsis\">Target Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ThresholdDirection":{"enum":[["1 = RisesAbove","2 = LowersBelow"]],"type":"string","description":"<para type=\"synopsis\">Threshold direction</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Create

> A configuration of a resource notification such as high/low RAM/CPU usage etc.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Notifications/Resources":{"post":{"tags":["2-Site settings/Notifications//Handlers"],"summary":"Create","description":"A configuration of a resource notification such as high/low RAM/CPU usage etc.","operationId":"52bcb7db-fd3a-493e-8a19-169227891f47","requestBody":{"description":"Creates a resource notification such as high/low RAM/CPU usage etc.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/NewNotificationResource"}}}},"responses":{"201":{"description":"Created","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/NotificationResource"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"NewNotificationResource":{"required":["type"],"type":"object","properties":{"siteId":{"type":"integer","description":"<para type=\"description\">Site ID where notification event is setup.</para>\r\n<para type=\"description\">Current site ID is used if siteId is omitted.</para>","format":"int32"},"gracePeriod":{"type":"integer","description":"<para type=\"description\">Grace period after the notification was done (minutes).</para>","format":"int32"},"enableGracePeriod":{"type":"boolean","description":"<para type=\"description\">Enable/Disable grace period.</para>"},"recipients":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Recipients to notify of the event.</para>","nullable":true},"sendEmail":{"type":"boolean","description":"<para type=\"description\">Enable/Disable email notification.</para>"},"scriptId":{"type":"integer","description":"<para type=\"description\">Script to execute which has this ID.</para>","format":"int32"},"executeScript":{"type":"boolean","default":false},"interval":{"type":"integer","description":"<para type=\"description\">Invocation interval (minutes).</para>","format":"int32"},"enableInterval":{"type":"boolean","description":"<para type=\"description\">Enable/Disable notification intervals.</para>","default":false},"waitUntilRecovered":{"type":"boolean","description":"<para type=\"description\">Wait until recovered.</para>","default":false},"allServers":{"type":"boolean","description":"<para type=\"description\">All servers in site.</para>","nullable":true},"targetType":{"$ref":"#/components/schemas/TargetType"},"targetIds":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Target Ids.</para>","nullable":true},"type":{"$ref":"#/components/schemas/RASNotificationResourceType"},"threshold":{"type":"integer","description":"<para type=\"description\">Tolerance value which triggers notification.</para>","format":"int32"},"direction":{"$ref":"#/components/schemas/ThresholdDirection"}},"additionalProperties":false},"TargetType":{"enum":[["0 = AllServers","3 = SecureGateways","5 = RemotePCs","7 = Brokers","10 = VDIHostPools","16 = RDSHostPools","46 = EnrollmentServers","65 = AVDHostPools","-1 = ForceAllAgents"]],"type":"string","description":"<para type=\"synopsis\">Target Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"RASNotificationResourceType":{"enum":[["17829888 = CPUEvent","17833984 = MemoryEvent","17838081 = RDSHConnectedSessionEvent","17838082 = RDSHDisconnectedSessionEvent","17862657 = TunneledSess","34615299 = RDSHConnectedSessionEventPerc","34615300 = RDSHDisconnectedSessionEventPerc"]],"type":"string","description":"<para type=\"synopsis\">RAS Notification Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ThresholdDirection":{"enum":[["1 = RisesAbove","2 = LowersBelow"]],"type":"string","description":"<para type=\"synopsis\">Threshold direction</para>\r\n<para type=\"description\"></para>","format":"int32"},"NotificationResource":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"siteId":{"type":"integer","format":"int32"},"enabled":{"type":"boolean"},"hasThreshold":{"type":"boolean"},"type":{"$ref":"#/components/schemas/NotificationType"},"recipients":{"type":"string","nullable":true},"executeScript":{"type":"boolean"},"scriptId":{"type":"integer","format":"int32"},"sendEmail":{"type":"boolean"},"gracePeriod":{"type":"integer","format":"int32"},"enableGracePeriod":{"type":"boolean"},"interval":{"type":"integer","format":"int32"},"enableInterval":{"type":"boolean"},"waitUntilRecovered":{"type":"boolean"},"allServers":{"type":"boolean"},"targetType":{"$ref":"#/components/schemas/TargetType"},"targetIds":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"threshold":{"type":"integer","format":"int32"},"direction":{"$ref":"#/components/schemas/ThresholdDirection"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Notification Resource</para>\r\n<para type=\"description\"></para>"},"NotificationType":{"enum":[["0 = Unknown","4096 = CPU","8192 = Memory","12288 = RDSH","16384 = Agent","20480 = VDI","24576 = PubItem","28672 = License","32768 = Authentication","36864 = Gateway","40960 = Disk","45056 = Tenant","1097729 = FailedTunneledSess","1097730 = FailedTunneledSessTenantBroker","17829888 = CPUEvent","17833984 = MemoryEvent","17838081 = RDSHConnectedSessionEvent","17838082 = RDSHDisconnectedSessionEvent","17862657 = TunneledSess","34615299 = RDSHConnectedSessionEventPerc","34615300 = RDSHDisconnectedSessionEventPerc","34660353 = AVDActiveSessionsUtilization","34660354 = AVDDisconnectedSessionsUtilization"]],"type":"string","description":"<para type=\"synopsis\">Type of notification</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get

> Retrieve a specific resource notification by ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Notifications/{id}/Resources":{"get":{"tags":["2-Site settings/Notifications//Handlers"],"summary":"Get","description":"Retrieve a specific resource notification by ID.","operationId":"508fb91b-3bf3-4710-9495-e6b8e42b9d99","parameters":[{"name":"id","in":"path","description":"Notification resource ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/NotificationResource"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"NotificationResource":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"siteId":{"type":"integer","format":"int32"},"enabled":{"type":"boolean"},"hasThreshold":{"type":"boolean"},"type":{"$ref":"#/components/schemas/NotificationType"},"recipients":{"type":"string","nullable":true},"executeScript":{"type":"boolean"},"scriptId":{"type":"integer","format":"int32"},"sendEmail":{"type":"boolean"},"gracePeriod":{"type":"integer","format":"int32"},"enableGracePeriod":{"type":"boolean"},"interval":{"type":"integer","format":"int32"},"enableInterval":{"type":"boolean"},"waitUntilRecovered":{"type":"boolean"},"allServers":{"type":"boolean"},"targetType":{"$ref":"#/components/schemas/TargetType"},"targetIds":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"threshold":{"type":"integer","format":"int32"},"direction":{"$ref":"#/components/schemas/ThresholdDirection"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Notification Resource</para>\r\n<para type=\"description\"></para>"},"NotificationType":{"enum":[["0 = Unknown","4096 = CPU","8192 = Memory","12288 = RDSH","16384 = Agent","20480 = VDI","24576 = PubItem","28672 = License","32768 = Authentication","36864 = Gateway","40960 = Disk","45056 = Tenant","1097729 = FailedTunneledSess","1097730 = FailedTunneledSessTenantBroker","17829888 = CPUEvent","17833984 = MemoryEvent","17838081 = RDSHConnectedSessionEvent","17838082 = RDSHDisconnectedSessionEvent","17862657 = TunneledSess","34615299 = RDSHConnectedSessionEventPerc","34615300 = RDSHDisconnectedSessionEventPerc","34660353 = AVDActiveSessionsUtilization","34660354 = AVDDisconnectedSessionsUtilization"]],"type":"string","description":"<para type=\"synopsis\">Type of notification</para>\r\n<para type=\"description\"></para>","format":"int32"},"TargetType":{"enum":[["0 = AllServers","3 = SecureGateways","5 = RemotePCs","7 = Brokers","10 = VDIHostPools","16 = RDSHostPools","46 = EnrollmentServers","65 = AVDHostPools","-1 = ForceAllAgents"]],"type":"string","description":"<para type=\"synopsis\">Target Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ThresholdDirection":{"enum":[["1 = RisesAbove","2 = LowersBelow"]],"type":"string","description":"<para type=\"synopsis\">Threshold direction</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update resource notification by ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Notifications/{id}/Resources":{"put":{"tags":["2-Site settings/Notifications//Handlers"],"summary":"Update","description":"Update resource notification by ID.","operationId":"9d26709f-74b0-4cac-aff5-f27e3f0570b1","parameters":[{"name":"id","in":"path","description":"Resource notification ID","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Set resource notification","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetNotificationResource"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetNotificationResource":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Enable/Disable notification.</para>","nullable":true},"gracePeriod":{"type":"integer","description":"<para type=\"description\">Notification grace period (minutes).</para>","format":"int32","nullable":true},"enableGracePeriod":{"type":"boolean","description":"<para type=\"description\">Enable/Disable grace period.</para>","nullable":true},"recipients":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Notification recipients.</para>","nullable":true},"sendEmail":{"type":"boolean","description":"<para type=\"description\">Enable/Disable email notification.</para>","nullable":true},"scriptId":{"type":"integer","description":"<para type=\"description\">Use script of given ID.</para>","format":"int32","nullable":true},"executeScript":{"type":"boolean","description":"<para type=\"description\">Enable/Disable notification scripts.</para>","nullable":true},"interval":{"type":"integer","description":"<para type=\"description\">Notification interval (minutes).</para>","format":"int32","nullable":true},"enableInterval":{"type":"boolean","description":"<para type=\"description\">Enable/Disable notification intervals.</para>","nullable":true},"waitUntilRecovered":{"type":"boolean","description":"<para type=\"description\">Wait until recovered.</para>","nullable":true},"allServers":{"type":"boolean","description":"<para type=\"description\">All servers in site.</para>","nullable":true},"targetType":{"$ref":"#/components/schemas/TargetType"},"targetIds":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Target IDs.</para>","nullable":true},"threshold":{"type":"integer","description":"<para type=\"description\">Tolerance value which triggers notification.</para>","format":"int32","nullable":true},"direction":{"$ref":"#/components/schemas/ThresholdDirection"}},"additionalProperties":false},"TargetType":{"enum":[["0 = AllServers","3 = SecureGateways","5 = RemotePCs","7 = Brokers","10 = VDIHostPools","16 = RDSHostPools","46 = EnrollmentServers","65 = AVDHostPools","-1 = ForceAllAgents"]],"type":"string","description":"<para type=\"synopsis\">Target Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ThresholdDirection":{"enum":[["1 = RisesAbove","2 = LowersBelow"]],"type":"string","description":"<para type=\"synopsis\">Threshold direction</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Delete a resource notification by ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Notifications/{id}/Resources":{"delete":{"tags":["2-Site settings/Notifications//Handlers"],"summary":"Delete","description":"Delete a resource notification by ID.","operationId":"cad1d855-c145-4489-878a-89fd7bbdbeb7","parameters":[{"name":"id","in":"path","description":"Resource notification ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/notifications/resources.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
